Pbm Profile Profile Manager Pbm Query Associated Profile

Pbm Profile Profile Manager Pbm Query Associated Profile
Returns identifiers for profiles associated with a virtual machine, virtual disk, or datastore.

Returns identifiers for profiles associated with a virtual machine, virtual disk, or datastore.

Required privileges: StorageProfile.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/pbm/PbmProfileProfileManager/{moId}/PbmQueryAssociatedProfile
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case PbmProfileProfileManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
PbmQueryAssociatedProfileRequestType of type(s) application/json
Required

Show optional properties

{
    "entity": {}
}
{
    "entity": {
        "_typeName": "string",
        "objectType": "string",
        "key": "string",
        "serverUuid": "string"
    }
}
entity
Required

Reference to a virtual machine, virtual disk, or datastore.

Authentication
This operation uses the following authentication methods.
Responses
200

Array of profiles associated with the entity.

[
    {
        "_typeName": "string",
        "uniqueId": "string"
    }
]
array of object
Optional

Profile unique identifier.

This structure may be used only with operations rendered under /pbm.


500

PbmFault: If there is an internal server error.

Returns PbmFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"entity":"{}"}' https://{api_host}/sdk/vim25/{release}/pbm/PbmProfileProfileManager/{moId}/PbmQueryAssociatedProfile